﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace App4 {
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page {
        public MainPage() {
            this.InitializeComponent();
        }


        private void ButtonClose_Click(object sender, RoutedEventArgs e) {
            this.popupTest.IsOpen = false;
        }


        private async void ButtonShowAsync_Click(object sender, RoutedEventArgs e) {
            (sender as Button).Content = "Clicked at " + DateTime.Now.ToString("HH:mm:ss");
            await this.popupTest.ShowAsync();
            (sender as Button).Content = "Closed at " + DateTime.Now.ToString("HH:mm:ss");
        }

        private void ButtonPopupIsOpen_Click(object sender, RoutedEventArgs e) {
            (sender as Button).Content = "Clicked at " + DateTime.Now.ToString("HH:mm:ss");
            this.popupTest.IsOpen = true;
            // You don't know when the popup was closed!
        }
    }
}
